// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class BeefCarcassNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new BeefCarcassNAddonDeed();
			}
		}

		[ Constructable ]
		public BeefCarcassNAddon()
		{
			AddComponent( new AddonComponent( 6257 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 6257 );
			AddComponent( ac, 0, 0, 0 );

		}

		public BeefCarcassNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class BeefCarcassNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new BeefCarcassNAddon();
			}
		}

		[Constructable]
		public BeefCarcassNAddonDeed()
		{
			Name = "BeefCarcassN";
		}

		public BeefCarcassNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}